System.Design 1.0.5000.0 2.0.0.0 System.Object

Developers may want to be able to write code in one place that handles events of a certain type.

Also, developers may need to globally change the behavior of the handlers for specific events or types of events, which may be distributed among designer components.

The designers for a typical project are many different objects so it can be useful to list and store reference to these events from a common place.

This service implements an "event stack" that contains the current set of event handlers. The stack may have a variety of different types of handlers on the stack.

For example, a designer might push, or add, a keyboard handler and a mouse handler onto the stack. When a designer requests an event handler, the service will find the topmost handler on the stack that matches the class you requested.

This way the service can be extended to any eventing scheme, and it also allows specific types of event handlers to be replaced. For example, you can replace mouse event handlers without affecting menu event handlers or keyboard event handlers.

Provides a systematic way to manage event handlers for the current document.

- Constructor
  To be added.

  Initializes a new instance of the class.

  The which is being designed.
  1.0.5000.0
  2.0.0.0
- Event
  System.EventHandler To be added.

  Fires an OnEventHandlerChanged event.

  1.0.5000.0
  2.0.0.0
- Property
  System.Windows.Forms.Control To be added. To be added.

  Gets the control to which event handlers are attached.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object ``

  You should never cache this value because other components are free to change it. This call is fairly quick, however, especially for cases when you are always asking for the same type of handler.

  Gets the currently active event handler of the specified type.

  An instance of the handler, or null if there is no handler of the requested type.

  The type of the handler to get. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the handler is not the topmost component on the stack, this will pop all handlers up to and including handler.

  Pops the given handler off of the stack.

  The handler to remove from the stack. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This handler will be used by all components that request a compatible handler type. If this handler does not support the requested type, the next handler on the stack will be used.

  Pushes a new event handler on the stack.

  The handler to add to the stack. 1.0.5000.0 2.0.0.0